### Function

# Gio content_type_get_symbolic_icon

since: 2.34

#### Declaration

    GIcon*
    g_content_type_get_symbolic_icon (
      const gchar* type
    )

#### Description

Gets the symbolic icon for a content type.

Available since: 2.34

#### Parameters

`type`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIcon`

Symbolic `GIcon` corresponding to the content type. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.